FastStringUtils (groovy 2.4.10 API)
Date: 2017-03-14

Package: groovy.json.internal

## [Java] Class FastStringUtils

- groovy.json.internal.FastStringUtils

- Authors:
    Rick Hightower
    Stephane Landelle

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `protected enum` | `FastStringUtils.StringImplementation` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static boolean` | `ENABLED` |
    `static long` | `STRING_COUNT_FIELD_OFFSET` |
    `static FastStringUtils.StringImplementation` | `STRING_IMPLEMENTATION` |
    `static long` | `STRING_OFFSET_FIELD_OFFSET` |
    `static long` | `STRING_VALUE_FIELD_OFFSET` |
    `static sun.misc.Unsafe` | `UNSAFE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static String` | `noCopyStringFromChars(char[] chars)` @param chars to shove array into.
    `` | `static char[]` | `toCharArray(String string)` @param string string to grab array from.
    `` | `static char[]` | `toCharArray(CharSequence charSequence)` @param charSequence to grab array from.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final boolean ENABLED

    - #### public static final long STRING_COUNT_FIELD_OFFSET

    - #### public static FastStringUtils.StringImplementation STRING_IMPLEMENTATION

    - #### public static final long STRING_OFFSET_FIELD_OFFSET

    - #### public static final long STRING_VALUE_FIELD_OFFSET

    - #### public static final sun.misc.Unsafe UNSAFE

  - ### Method Detail

    - #### public static String noCopyStringFromChars(char[] chars)

      Returns:
        new string with chars copied into it
      Parameters:
        `chars` - to shove array into.

    - #### public static char[] toCharArray(String string)

      Returns:
        char array from string
      Parameters:
        `string` - string to grab array from.

    - #### public static char[] toCharArray(CharSequence charSequence)

      Returns:
        char array from char sequence
      Parameters:
        `charSequence` - to grab array from.